 
void WG14_N866_D(int n, int * restrict x, int * restrict y)
{
/*
 * Let the number of elements in the pointed-to object be 3n.  The following
 * modifies the lower-n elements through x, and modifies the upper-n
 * elements through y.  The middle n elements are read through x and y.
 */
for(int i=0; i<n; i++)
   {
   x[i]     += x[i+n];
   y[i+2*n] += y[i+n];
   }
}

void f(void)
{
int z[300];

WG14_N866_D(100, z, z);
}
