 
extern int glob;

int g(void)
{
return glob++;
}

/*
 * The order of evaluation of the following variably modified
 * parameters is not defined, but there is a sequence point
 * between the two modifications of glob.
 */
void f_1(int a_1[const g()], int a_2[const g()]])
{ /* ... */ }

/*
 * The evaluation of the following variably modified parameters causes
 * undefined behavior, because the same object is modifies more than
 * once between sequence points (a full declarator is a sequence point<ref full declarator, sequence point>.
 */
void f_2(int a_1[const glob++], int a_2[const glob++]])
{ /* ... */ }
