 
#define A   A B C
#define B   B C A
#define C   C A B

A
/*
 * Using the notation:
 *    X={ }       the result of expanding X.
 *    lowercase   an identifier that has been 'painted blue'.
 * 'simplify'
   expand    A={ A B C }
   paint     A={ a B C }
   rescan    A={ a B={ B C A } C }
   paint     A={ a B={ b C a } C }
   rescan    A={ a B={ b C={ C A B } a } C }
   paint     A={ a B={ b C={ c a b } a } C }
             A={ a B={ b c a b a } C }
             A={ a b c a b a C }
   rescan    A={ a b c a b a C={ C A B }}
   paint     A={ a b c a b a C={ c a B }}
   rescan    A={ a b c a b a C={ c a B={ B C A }}}
   paint     A={ a b c a b a C={ c a B={ b c a }}}
             A={ a b c a b a C={ c a b c a }}
             A={ a b c a b a c a b c a }

   simplify  a b c a b a c a b c a

 * Final tokens output:

   A B C A B A C A B C A
 */
