 
#if defined(Machine_A)
   #define IZATION_HINT _Pragma("ivdep")       /* Ignore vector dependencies. */
#elif defined(Machine_B)
   #define IZATION_HINT _Pragma("independent") /* Iterations are independent. */
#endif

void N449_a(int n, double * a, double * b)
{
#if defined(Machine_A)
   #pragma ivdep            /* Vectorization hint (ignore vector dependencies).   */
#elif defined(Machine_B)
   #pragma independent      /* Parallelization hint (iterations are independent). */
#endif
while (n-- > 0)
   {
   *a++ += *b++;
   }
}

void N449_b(int n, double * a, double * b)
{
IZATION_HINT
while (n-- > 0)
   {
   *a++ += *b++;
   }
}
