 
extern int glob;
extern volatile int reg;

void g(void)
{
reg *= 1; /*
           * Value of reg looks as if it is unchanged, but because
           * it is volatile qualified an access to the object is
           * required.  This access may cause its value to change.
           */
/*
 * The following cannot be optimized to a single assignment.
 */
reg=glob;
reg=glob;

glob += 0; /* Value of glob unchanged but it is still modified. */
/*
 * glob modified twice between sequence points -> undefined behavior
 */
glob = (glob += 0) + 4;
}
