 
extern int i, j;
extern volatile int k;

void f(void)
{
/*
 * Side effect of access to k occurs if the left operand
 * of the && operator evaluates to nonzero.
 */
if ((i == 2) && (j == k))
   /* ... */ ;
/*
 * In the following expression k appears to be read twice.
 * Only one of the subexpressions will ever be evaluated.
 * There is no unspecified or undefined behavior.
 */
i = (j < 3 ? (k - j) : (j - k));
}
