 
#include <stdlib.h>

int total = 0;

void f_1(void)
{
/*
 * With dynamic scoping the current function call chain is important.
 * If f_1 is called via f_2 then the local definition of total in f_2
 * would be assigned to.  If f_1 was called directly from main, the
 * file scope declaration of total would be assigned to.
 */
total=1;
}

void f_2(void)
{
int total;

f_1();
}

int main(void)
{
if (rand() > 20)
   f_1();
else
   f_2();

return total;
}
