 
#include <math.h>

void f(void)
{
static float w = 1.1e75; /* Performed at translation time, no exception raised. */
/*
 * The following may all require conversions at execution time.
 * Therefore they can all raise exceptions.
 */
float x_1 = 1.1e75;
double x_2 = 1.1e75;
float x_3 = 1.1e75f;

/*
 * The following do not require any narrowing conversions and cannot raise exceptions.
 */
long double x_4 = 1.1e75;
double_t x_5 = 1.1e75;

/*
 * For constant expressions we have (the final value of y and z is undefined)...
 */
static double y = 0.0/0.0;  /* Performed at translation time, no exception raised. */
auto double z = 0.0/0.0;    /* Performed at execution time, may raise exception.   */
}
