 
struct node {
            enum {LEAF, UNARY, BINARY, TERNARY} type;
            struct node *left,
                        *right;
            union {
                   struct {
                          char *ident;
                          } leaf;
                   struct {
                          enum {UNARYPLUS, UNARYMINUS} op;
                          struct node *operand;
                          } unary;
                   struct {
                          enum {PLUS, MINUS, TIMES, DIVIDE} op;
                          struct node *left,
                                      *right;
                          } binary;
                   struct {
                          struct node *test;
                          struct node *iftrue;
                          struct node *iffalse;
                          } ternary;
                   } operands;
            };
