 
#include <limits.h>

/*
 * This code assumes that sizeof(int) == 2
 */

unsigned int obj_htons(unsigned int h)
{
/*
 * Relies on type unsigned char copying all bits<ref value, copied using unsigned char>.
 */
unsigned char *hp = (unsigned char *)&h;
unsigned int n;
unsigned char *np = (unsigned char *)&n;

np[0] = hp[1];
np[1] = hp[0];
return n;
}

unsigned int val_htons(unsigned int h)
{
#define MASK ((1U << CHAR_BIT) - 1)
return ((h & MASK) << CHAR_BIT) | ((h >> CHAR_BIT) & MASK);
}
