 
typedef unsigned int UINT_1;
typedef unsigned int UINT_2;

/*
 * Some languages would specify that the following objects were not
 * compatible because they were declared with types that had different
 * names (an anonymous one in the last case).  Others would be more
 * relaxed, because the underlying types were the same.
 */
extern UINT_1 ui_1;
extern UINT_2 ui_2;
extern unsigned int ui_3;

/*
 * All languages based on name equivalence would treat the following
 * as different types that were not compatible with each other.
 */
typedef struct {
                int x, y;
               } coordinate;
typedef struct {
                int x, y;
               } position;
typedef int APPLES;
typedef int ORANGES;
