 
/*
 * Yes, C99 does specify 64 significant characters in an internal
 * identifier.  But to keep this example within the page width
 * we have taken some liberties.
 */

extern float _________1_________2_________3___bb;

void f(void)
{
int _________1_________2_________3___ba;

/*
 * If there are 34 significant characters, the following operand
 * will resolve to the locally declared object.
 *
 * If there are 35 significant characters, the following operand
 * will resolve to the globally declared object.
 */
_________1_________2_________3___bb++;
}

void g(void)
{
int _________1_________2_________3___aa;

/*
 * If there are 34 significant characters, the following operand
 * will resolve to the globally declared object.
 *
 * If there are 33 significant characters, the following operand
 * will resolve to the locally declared object.
 */
_________1_________2_________3___bb++;
}
