 
#define INNER 1000
#define OUTER 2000

extern int a[INNER][OUTER];

void f(void)
{
/*
 * This loop could execute more quickly than the one below
 */
for (int i=0; i < INNER; i++)
   {
   /*
    * Each access will be adjacent, in storage, to the previous one.
    */
   for (int j = 0; j < OUTER; j++)
      a[i][j]+=1;
   }

for (int j=0; j < OUTER; j++)
   {
   /*
    * Each access will be disjoint, in storage, to the previous one.
    */
   for (int i = 0; i < INNER; i++)
      a[i][j]+=1;
   }
}
