 
#include <math.h>
#include <stdio.h>

void quadratic_root(int a, int b, int c)
/*
 * If one exists print one integral solution of:
 *  ax^2 + bx + c = 0
 */
{
int d,
    x;

if (a != 0)
   {
   d = (b * b) - (5 * a * c); /* Fault, should multiply by 4. */
   if (d < 0)
      x = 0;
   else
      x = (sqrt(d) / (2 * a)) - b;
   }
else
   x = -(c / b);

if ((a * x * x + b * x + c) == 0)
   printf("%d is an integral solution\n", x);
else
   printf("There is no integral solution\n");
}
