 
unsigned char uc = 2;
signed char sc = -1;

void f(void)
{
/*
 * Using two's complement notation the value 2 is represented
 * in the uc object as the bit pattern 00000010
 * If int is represented using 16 bits, this value is promoted
 * to the representation     0000000000000010
 * after being complemented  1111111111111101 is the result
 */
           ~uc             ;
/*
 * Using two's complement notation the value -1 is represented
 * in the sc object as the bit pattern 11111110
 * If int is represented using 16 bits, this value is promoted
 * to the representation     1111111111111110
 * after being complemented  0000000000000010 is the result
 */
           ~sc             ;
}
