 
#define in_set(x, y)  (((x) & (y)) == (x))

enum T {mem_1 = 0x01, mem_2 = 0x02, mem_3 = 0x04, mem_4 = 0x10};

extern enum T glob;

void f(enum T p_1)
{
if (in_set(mem_2, p_1)) /* does p_1 include the member mem_2? */
   ; /* ... */
/*
 * The following test can be interpreted as either:
 *    1) are the two sets equal?
 *    2) does p_1 only include the member mem_2?
 */
if (p_1 == mem_2)
   ; /* ... */
}
