 
void Jon_Krom(void)
{
/*
 * The issue of what is safe or unsafe is discussed elsewhere<ref pointer, converting qualified/unqualified>.
 * An example of case 3 is given in the standard<ref EXAMPLE, const pointer>.
 */

typedef int T; /* for any type T */

T       *       *  ppa  ;
T       *       *  ppb  ;

T       * const *  pcpa ;
T       * const *  pcpb ;

T const *       * cppa  ;
T const *       * cppb  ;

T const * const * cpcpa ;
T const * const * cpcpb ;

                  //  Safe       Allowed     Allowed
                  //   or         in          in
                  // Unsafe       C99         C++
                  // --------------------------------
ppb   = ppa ;     //  Safe        Yes         Yes      1
pcpb  = ppa ;     //  Safe        Yes         Yes      2
cppb  = ppa ;     //  Unsafe      No          No       3
cpcpb = ppa ;     //  Safe        No          Yes      4

ppb   = pcpa ;    //  Unsafe      No          No       5
pcpb  = pcpa ;    //  Safe        Yes         Yes      6
cppb  = pcpa ;    //  Unsafe      No          No       7
cpcpb = pcpa ;    //  Safe        No          Yes      8

ppb   = cppa ;    //  Unsafe      No          No       9
pcpb  = cppa ;    //  Unsafe      No          No      10
cppb  = cppa ;    //  Safe        Yes         Yes     11
cpcpb = cppa ;    //  Safe        Yes         Yes     12

ppb   = cpcpa ;   //  Unsafe      No          No      13
pcpb  = cpcpa ;   //  Unsafe      No          No      14
cppb  = cpcpa ;   //  Unsafe      No          No      15
cpcpb = cpcpa ;   //  Safe        Yes         Yes     16
}
