 
extern const int g_1 = 3;
extern int g_2;

void f(const int *pi);
/*
 * The declaration of pi implies that the statements within f will
 * not modify its value.  However, an optimizer cannot assume that
 * the value *pi will remain unchanged throughout the execution of
 * f.  For instance the function f may modify g_2; whose address
 * is passed as an argument in the second call below.
 */

void g(void)
{
const int *loc_1 = &g_1;
int *loc_2 = &g_2;

f(loc_1);
f((const int *)loc_2);
}
