 
        typedef int F(void);             // <i>type</i> F <i>is "function with no parameters</i>
                                         //                <i>returning</i> int"
        F f, g;                          // f <i>and</i> g <i>both have type compatible with</i> F
        F f { /* ... */ }                // <i>WRONG: syntax/constraint error</i>
        F g() { /* ... */ }              // <i>WRONG: declares that</i> g <i>returns a function</i>
        int f(void) { /* ... */ }        // <i>RIGHT:</i> f <i>has type compatible with</i> F
        int g() { /* ... */ }            // <i>RIGHT:</i> g <i>has type compatible with</i> F
        F *e(void) { /* ... */ }         // e <i>returns a pointer to a function</i>
        F *((e))(void) { /* ... */ }     // <i>same: parentheses irrelevant</i>
        int (*fp)(void);                 // fp <i>points to a function that has type</i> F
        F *Fp;                           // Fp <i>points to a function that has type</i> F
