 
extern int glob_0; /* external linkage. */
static int glob_0; /* internal linkage (prior declaration not considered). */

static int glob_1, glob_2; /* internal linkage. */
       int         glob_2; /* Linkage is specified by the prior declaration. */

void f(void)
{
extern int glob_1; /* Same linkage as one visible at file scope. */

       {
       /*
        * We need to enter another block to exhibit this problem.
        * Now the visible declaration is in block scope, so the
        * wording in clause 6.1.2.2 does not apply and we take the
        * linkage from the declaration here, not the linkage from
        * the outer scope declaration.
        */
        extern int glob_1; /* external and internal linkage. */
        }
}
