 
extern int n;
extern char gc;
extern char *pc = &gc;

void f(void)
{
block_start:;
/*
 * At this point the lifetime of ca has not yet started.  Jumping back to
 * this point, from a point where the lifetime has started, will terminate
 * the lifetime.
 */
n++;

/*
 * First time around the loop pc points at storage allocated for gc.
 * On second and subsequent iterations pc will have been pointing at an
 * object whose lifetime has terminated (giving it an indeterminate value).
 */
pc[0]='z';

char ca[n]; /* Lifetime of ca starts here. */
pc=ca;

if (n < 11)
   goto block_start;
}
