 
#if MACHINE_Z
typedef unsigned int X;
typedef signed int Y;
#else
typedef signed int X;
typedef unsigned int Y;
#endif

unsigned int ui;
signed int si;
X xi;
Y yi;

void f(void)
{
/*
 * It is not apparent from the source that the type of any object might change.
 */
unsigned int uloc;
signed int sloc;

uloc = ui + si;    uloc = ui + (unsigned int)si;
sloc = ui + si;    sloc = (signed int)(ui + si);
}

void g(void)
{
/*
 * The visible source shows that it is possible for the type of an object to change.
 */
X xloc;
Y yloc;

/*
 * The following sequence of casts might not be equivalent to those used in f
 */
xloc = xi + yi;    xloc = xi + (X)yi;
yloc = xi + yi;    yloc = (Y)(xi + yi);
}
