 
signed short    s1,  s2,  s3;
unsigned short us1, us2, us3;

void f(void)
{
s1 = s2 + s3;  /*
	        * The result of + may be undefined.
	        * The conversion for the = may be undefined.
	        */
               /* s1 = (short)((int)s2 + (int)s3);           */
s1 = us2 + s3; /* The conversion for the = may be undefined. */
               /*
	        * The result of the binary + is always defined (unless
		* the type int is only one bit wider than a short; no
		* known implementations have this property).
		*
		* Either both shorts promote to a wider type:
		*
                *       s1 = (short)((int)us2 + (int)s3);
                *
		* or they both promote to an unsigned type of the same width:
		*
                *       s1 = (short)((unsigned int)us2 + (unsigned int)s3);
		*/
 s1 = us2 + us3; /* The conversion for the = may be undefined. */
us1 = us2 + us3; /* Always defined<ref unsigned integer, conversion to> */
us1 = us2 +  s3; /* Always defined<ref unsigned integer, conversion to> */
us1 =  s2 +  s3; /* The result of + may undefined.             */
}
