 
typedef struct f__rec {
                      char *func_name;
                      _Bool enabled;
                      struct f__rec *next;
                      } func__list;

extern _Bool func_lookup(func__list *, char *);

/*
 * Use the name of the function to control whether debugging is
 * switched on/off.  lookup is only called the first time this code
 * is executed, thereafter the value f___l->enabled can be used.
 */
#define D_func_trace(func_name, code)  {           \
                 static func__list * f___l = NULL; \
                 if (f___l ? f___l->enabled : lookup(&f___l, func_name)) \
                    {code}                                               \
                 }
