 
#include <stdbool.h>

#include "flookup.h"

/*
 * A fixed list of functions and their debug mode.
 * We could be more clever and make this a list which
 * could be added to as a program executes.
 */
static struct {
              char *func_name;
              _Bool enabled;
              func__list *traces_seen;
              } lookup_table[] = {
                                 "abc", true, NULL,
                                 NULL, false, NULL
                                 };

_Bool func_lookup(func__list *f_list, char *f_name)
{
/*
 * Loop through lookup_table looking for a match against f_name.
 * If a match is found, add f_list to the traces_seen list and
 * return the value of enabled for that entry.
 */
}

void change_enabled_setting(char *f_name, _Bool new_enabled)
{
/*
 * Loop through lookup_table looking for a match against f_name.
 * If a match is found, loop over its traces_seen list setting
 * the enabled flag to new_enabled.
 *
 * This function can switch on/off the debugging output from
 * any registered function.
 */
}
